cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/prediction/v1/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/prediction/v1/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"signature": "<string>",
"slot": "<string>",
"timestamp": 123,
"orderPubkey": "<string>",
"positionPubkey": "<string>",
"marketId": "<string>",
"ownerPubkey": "<string>",
"keeperPubkey": "<string>",
"externalOrderId": "<string>",
"orderId": "<string>",
"isBuy": true,
"isYes": true,
"contracts": "<string>",
"filledContracts": "<string>",
"contractsSettled": "<string>",
"maxFillPriceUsd": "<string>",
"avgFillPriceUsd": "<string>",
"maxBuyPriceUsd": "<string>",
"minSellPriceUsd": "<string>",
"depositAmountUsd": "<string>",
"totalCostUsd": "<string>",
"feeUsd": "<string>",
"grossProceedsUsd": "<string>",
"netProceedsUsd": "<string>",
"transferAmountToken": "<string>",
"realizedPnl": "<string>",
"realizedPnlBeforeFees": "<string>",
"payoutAmountUsd": "<string>",
"eventId": "<string>",
"marketMetadata": {
"marketId": "<string>",
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"provider": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"contractsMicro": "<string>",
"contractsDecimal": "<string>",
"filledContractsMicro": "<string>",
"filledContractsDecimal": "<string>",
"contractsSettledMicro": "<string>",
"contractsSettledDecimal": "<string>"
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}History & Data
Get History
Get trading history and event records for an account
GET
/
history
cURL
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Required range:
x >= 0Required range:
x >= 0History owner public key
Minimum string length:
32History event ID
Required range:
x >= 1Filter by position public key
Minimum string length:
32Was this page helpful?
⌘I
